#include "Parser.h"


void buildTrie(FILE* input, Trie* trie)
{
	IP ip;
	int AS,
		size_prefix_token = strlen(PREFIX_TOKEN),
		size_ASpath_token = strlen(ASPATH_TOKEN);
	char line[MAX_LINE];
	time_t build_time = time(NULL);

	while(fgets(line, MAX_LINE, input))
	{
		if (strncmp(line, PREFIX_TOKEN, size_prefix_token)==0)
			strToIP(line + size_prefix_token + 1, &ip);

		else if (strncmp(line, ASPATH_TOKEN, size_ASpath_token)==0)
		{
			char *ptr = strrchr(line, ' ');
			sscanf(ptr, "%d", &AS);

			registerConflict(
				insertPrefix(trie, &ip, AS, build_time));
		}
	}
}
