#ifndef _PARSER_H
#define _PARSER_H

#include <string.h>
#include "Global_ds.h"

/* Macro definitions */
/* ----------------- */

#define MAX_LINE 128

#define PREFIX_TOKEN "PREFIX"
#define ASPATH_TOKEN "ASPATH"

/* library functions */
/* ----------------- */

// Build a trie tree out of a given input file.
// Input:	a valid text file in the specified format and
//			a non-NULL pointer to a trie tree.

void buildTrie(FILE* input, Trie* trie);


#endif /* _PARSER_H */