#include "Downloader.h"


int main(int argc, char *argv[])
{
	//////////////// for testing and debugging ////////////
	short ip_array[IP_SIZE]={3, 0, 0, 0, 8};
	IP ip;
	List *ASlist = NULL;
	char str[19];
	///////////////////////////////////////////////////////

	initializeDS();

/////////////////// Debugging stderr /////////////////////////
	pthread_mutex_lock(&trie_locker);

	shortArrayToIP(ip_array, &ip);
	fprintf(stdout, "Finding AS of IP %s\n", IPToStr(&ip, str));
	ASlist = findAS(trie, &ip);
	fprintList(stdout, ASlist);
	fprintf(stdout, "\nPrinting the trie tree:\n");
	fprintTrie(stdout, trie);

	pthread_mutex_unlock(&trie_locker);

	//////////////////////////////////////////////////////////////

	terminateDS(0);

	// programm will never get here
	return 0;
}